## lha-1.14i.tar.bz2

=== Makefile ===
################################################################
# Makefile for LHa topdir
#		Mar. 2, 1992, written by Masaru Oki.
#		AUG. 22,1994, modified by Nobutaka Watazaki
#               Jun.  7,1999, modified by Tsugio Okamoto
################################################################

#-----------------------------------------------------------------------
# CONFIGURATION
#	SWITCHES macro definitions ... see config.eng or config.jpn.
#-----------------------------------------------------------------------

SHELL=/bin/sh
MAKE = make

#CC			= cc
CC			= gcc
SWITCHES	= -DNEED_INCREMENTAL_INDICATOR \
 -DTMP_FILENAME_TEMPLATE="\"/tmp/lhXXXXXX\""

#MACHINE     = -DSYSTIME_HAS_NO_TM -DFTIME -DEUC
#MACHINE     = -DSYSTIME_HAS_NO_TM -DEUC -DHAVE_TM_ZONE -DSYSV_SYSTEM_DIR
MACHINE     = -DSYSTIME_HAS_NO_TM -DEUC -DSYSV_SYSTEM_DIR -DMKTIME -DMULTIBYTE_CHAR

#OPTIMIZE	= -O2 -fstrength-reduce -fomit-frame-pointer
OPTIMIZE	= -O2 -DSUPPORT_LH7 -DMKSTEMP

BINDIR = /usr/local/bin
MANDIR = /usr/local/man
MANSECT = n

INSTALL = install
INSTALLBIN = -s -m 755
INSTALLMAN = -m 644

SUBDIRS = src man

O		= .o

# missing library objects.
#	memset$(O) lhdir$(O)
LIBRARYOBJS	= patmatch$(O)

MYMAKEFLAGS = 'BINDIR=$(BINDIR)' 'MANDIR=$(MANDIR)' 'MANSECT=$(MANSECT)'\
 'INSTALL=$(INSTALL)' 'INSTALLBIN=$(INSTALLBIN)' 'INSTALLMAN=$(INSTALLMAN)'\
 'CC=$(CC)' 'SWITCHES=$(SWITCHES)' 'O=$(O)' 'LIBRARYOBJS=$(LIBRARYOBJS)' \
 'OPTIMIZE=$(OPTIMIZE)' 'MACHINE=$(MACHINE)'

all:
	@for i in $(SUBDIRS); do \
	echo "make all in $$i..."; \
	(cd $$i; $(MAKE) $(MFLAGS) $(MYMAKEFLAGS) all); done

install:
	@for i in $(SUBDIRS); do \
	echo "Installing in $$i..."; \
	(cd $$i; $(MAKE) $(MFLAGS) $(MYMAKEFLAGS) install); done

clean:
	@for i in $(SUBDIRS); do \
	echo "Clearing in $$i..."; \
	(cd $$i; $(MAKE) $(MFLAGS) $(MYMAKEFLAGS) clean); done

moreclean:
	@for i in $(SUBDIRS); do \
	echo "Clearing in $$i..."; \
	(cd $$i; $(MAKE) $(MFLAGS) $(MYMAKEFLAGS) moreclean); done

=== debian/changelog ===
lha (1.14i-10.1) unstable; urgency=high

  * Security NMU for vulnerabilities inherited from GNU Gzip:
    [CVE-2006-4335 CVE-2006-4337 CVE-2006-4338]

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 13 Dec 2006 20:21:32 +0100

lha (1.14i-10) unstable; urgency=high

  * debian/patch.redhat-sec2: Add one more security patch to fix:
      - CAN-2004-0771 (-w working directory option buffer overflow)
        http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0771
      - CAN-2004-0769 (buffer overflow can be executed arbitrary code
        via long pathnames in headers, another issue of bug fixed in -9)
        http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0769
      - CAN-2004-0745 (execute arbitrary commands via a directory with
        shell metacharacters in its name.)
        http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0745
      - CAN-2004-0694 (reserved number)
        http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0694
    taken from RedHat patch.  (Closes: #279870)
  * man/lha.n: Fix typo "flie" instead of "file".  (Closes: #277545)

 -- GOTO Masanori <gotom@debian.org>  Sat, 13 Nov 2004 15:31:22 +0900

lha (1.14i-9) unstable; urgency=high

  * debian/patch.header-overflow: Add fix another lha buffer overflow
    problem.  It warns when hitting an archive which includes
    long directory name with option l, v, x.  See:
      http://lw.ftw.zamosc.pl/lha-exploit.txt
      http://www.securityfocus.com/archive/1/363418
      http://bugs.gentoo.org/show_bug.cgi?id=51285
    Thanks to Lukasz Wojtow <lw@wszia.edu.pl> for pointing this problem.

 -- GOTO Masanori <gotom@debian.org>  Wed, 16 Jun 2004 09:51:06 +0900

lha (1.14i-8) unstable; urgency=high

  * debian/patch.CAN-2004-0234_0235: Add fix CAN-2004-0235 symlink part
    patches.  (Closes: #247355, #247357)

 -- GOTO Masanori <gotom@debian.org>  Sat,  8 May 2004 02:24:57 +0900

lha (1.14i-7) unstable; urgency=high

  * debian/patch.CAN-2004-ulf: Add to fix CAN-2004-0234 (buffer overflows),
    CAN-2004-0235 (directory traversal).  See:
    http://marc.theaimsgroup.com/?l=full-disclosure&m=108345064008698&w=2
  * debian/control: Change my mail address.

 -- GOTO Masanori <gotom@debian.org>  Thu,  6 May 2004 15:13:14 +0900

lha (1.14i-6) unstable; urgency=low

  * debian/copyright: Added more copyright license statement, translated
    by Osamu Aoki <debian@aokiconsulting.com>.
  * debian/copyright: Added good summary of upstream author, investigated by
    Osamu Aoki <debian@aokiconsulting.com> and 
    Tatsuya Kinoshita <tats@iris.ne.jp>.
  * debian/header-e.doc: Added English version of header.doc (LHa header
    structure format document) translated by Osamu Aoki
    <debian@aokiconsulting.com>.

 -- GOTO Masanori <gotom@debian.or.jp>  Tue, 27 Aug 2002 13:08:22 +0900

lha (1.14i-5) unstable; urgency=low

  * debian/patch.multibyte: Add multibyte character mode option 'y'.
    You can use multibyte filename especially SHIFTJIS code 
    with this option.

 -- GOTO Masanori <gotom@debian.or.jp>  Fri, 19 Jul 2002 16:57:11 +0900

lha (1.14i-4) unstable; urgency=low

  * debian/copyright: add original/translated license statement
    (closes: Bug#144582).

 -- GOTO Masanori <gotom@debian.or.jp>  Wed,  1 May 2002 09:53:24 +0900

lha (1.14i-3) unstable; urgency=low

  * fix lha reports a wrong version number (closes: Bug#135199).

 -- GOTO Masanori <gotom@debian.or.jp>  Sun,  3 Mar 2002 21:38:46 +0900

lha (1.14i-2) unstable; urgency=low

  * Applied the patch not to get compiling warning message.
    Patched by Paul Slootman <paul@wurtel.net>. (Closes: #109634).

 -- GOTO Masanori <gotom@debian.or.jp>  Thu, 23 Aug 2001 00:26:53 +0900

lha (1.14i-1) unstable; urgency=low

  * New upstream release (Closes: #62256).
  * New maintainer.
  * Updated Standards-version 3.5.2.
  * Use build this package with dh_*.
  * New upstream version is ready for -lh7- format (Closes: #67592).
  * Japanese manual is now included (Closes: #49245).
  * Unclosed Bugs (No copyright file is included) 
    has just re-closed (Closes: #48748).

 -- GOTO Masanori <gotom@debian.or.jp>  Sun, 22 Jul 2001 13:11:50 +0900

lha (1.14e-2) unstable; urgency=low

  * Moved /usr/man/* and /usr/doc/* under /usr/share. Closes: #80759.
  * Updated Standards-version, fixed lintian warnings.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 21 Jan 2001 17:35:52 +0000

lha (1.14e-0) unstable; urgency=low

  * New upstream release. Thanks to Jiro Iwamoto <iwamot@maroon.plala.or.jp> for pointing this out.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 25 Jul 1999 23:05:24 +0100

lha (1.14d-1) unstable; urgency=low

  * Fixed manpage - no need to specify "-b" for command line help. Closes bug #33328.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 14 Feb 1999 16:24:44 +0000

lha (1.14d-0) unstable; urgency=low

  * New upstream release. Thanks to Tomohiro KUBOTA <kubota@kubota.rcpom.osaka-u.ac.jp> for pointing this out.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sat, 16 Jan 1999 21:54:37 +0000

lha (1.14c-1) frozen unstable; urgency=low

  * New man page, supplied by Martin Schulze <joey@finlandia.Infodrom.North.DE>. Fixes Bug#27195.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sun, 18 Oct 1998 13:53:12 +0100

lha (1.14c-0) unstable; urgency=low

  * New upstream release. Thanks to Atsushi KAMOSHIDA <kamop@debian.or.jp> for pointing this out.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Sat, 15 Aug 1998 14:16:19 +0100

lha (1.00-6) unstable; urgency=low

  * New maintainer.

 -- Steve McIntyre <stevem@chiark.greenend.org.uk>  Mon, 12 Jan 1998 00:09:12 +0000

lha (1.00-5) unstable; urgency=low, closes=16756

  * Corrected Standards-Version to 2.3.0.1 (Bug#16756)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Fri, 9 Jan 1998 02:08:03 +0100

lha (1.00-4) unstable; urgency=low

  * Compiled against libc6 (Bug#11696)



=== debian/control ===
Source: lha
Section: non-free/utils
Priority: optional
Maintainer: GOTO Masanori <gotom@debian.org>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.6.0

Package: lha
Architecture: any
Depends: ${shlibs:Depends}
Description: lzh archiver
 The famous lzh archiver, known from DOS.  When mixing DOS and Unix
 you might need it.  (Especially for fido <--> rfc conversions.)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	
	patch -p0 < debian/patch.paul
	patch -p0 < debian/patch.multibyte
	patch -p0 < debian/patch.CAN-2004-0234_0235
	patch -p0 < debian/patch.header-overflow
	patch -p1 < debian/patch.redhat-sec2
	patch -p1 < debian/patch.CVE-2006-4335-CVE-2006-4337-CVE-2006-4338

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/lha.sgml > lha.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	# delete copied docs.
	rm -f MACHINES MACHINES2 PROBLEMS README
	rm -f header.doc debian/lha.euc.1.gz debian/lha.1.gz
	cp debian/org/lha.h src/lha.h
	cp debian/org/header.c src/header.c
	cp debian/org/lharc.c src/lharc.c
	cp debian/org/util.c src/util.c
	cp debian/org/lhext.c src/lhext.c
	cp debian/org/lhlist.c src/lhlist.c
	cp debian/org/lha_macro.h src/lha_macro.h

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/lha.
	# $(MAKE) install BINDIR=$(CURDIR)/debian/lha/usr/bin \
	#		MANDIR=$(CURDIR)/debian/lha/usr/share/man \
	#		MANSECT=1
	install -m 755 src/lha $(CURDIR)/debian/lha/usr/bin

	# Copy the filenames without the .euc extension
	cp MACHINES.euc MACHINES 
	cp MACHINES2.euc MACHINES2
	cp PROBLEMS.euc PROBLEMS 
	cp README.euc README 
	cp header.doc.euc header.doc

	gzip -9 -c man/lha.n > debian/lha.euc.1.gz
	gzip -9 -c debian/lha.1 > debian/lha.1.gz
	install -m 644 debian/lha.euc.1.gz $(CURDIR)/debian/lha/usr/share/man/ja/man1/lha.1.gz
	install -m 644 debian/lha.1.gz $(CURDIR)/debian/lha/usr/share/man/man1/lha.1.gz

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs CHANGES.euc
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
